Set server Docker image
Updates the Docker image used by the server from the available egg images
Updates the Docker image used by the server from the available egg images
Authorization
bearerAuth AuthorizationBearer <token>
Enter your API token in the format: Bearer {token}
In: header
Path Parameters
server*string
Server UUID or ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/api/client/servers/string/settings/docker-image" \ -H "Content-Type: application/json" \ -d '{ "docker_image": "ghcr.io/pterodactyl/yolks:java_17" }'Empty
{
"message": "This server's Docker image has been manually set by an administrator and cannot be updated."
}Empty
Empty
Empty
{
"message": "The given data was invalid.",
"errors": {}
}